Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2LayerRegion

    java.lang.Object
      com.sun.media.sound.SF2Region
          com.sun.media.sound.SF2LayerRegion

    public class SF2LayerRegion

extends SF2Region

Soundfont layer region.

Author:
  Karl Helgason

Field Summary

Fields inherited from class com.sun.media.sound.SF2Region
`GENERATOR_ATTACKMODENV, GENERATOR_ATTACKVOLENV, GENERATOR_CHORUSEFFECTSSEND, GENERATOR_COARSETUNE, GENERATOR_DECAYMODENV, GENERATOR_DECAYVOLENV, GENERATOR_DELAYMODENV, GENERATOR_DELAYMODLFO, GENERATOR_DELAYVIBLFO, GENERATOR_DELAYVOLENV, GENERATOR_ENDADDRSCOARSEOFFSET, GENERATOR_ENDADDRSOFFSET, GENERATOR_ENDLOOPADDRSCOARSEOFFSET, GENERATOR_ENDLOOPADDRSOFFSET, GENERATOR_ENDOPR, GENERATOR_EXCLUSIVECLASS, GENERATOR_FINETUNE, GENERATOR_FREQMODLFO, GENERATOR_FREQVIBLFO, GENERATOR_HOLDMODENV, GENERATOR_HOLDVOLENV, GENERATOR_INITIALATTENUATION, GENERATOR_INITIALFILTERFC, GENERATOR_INITIALFILTERQ, GENERATOR_INSTRUMENT, GENERATOR_KEYNUM, GENERATOR_KEYNUMTOMODENVDECAY, GENERATOR_KEYNUMTOMODENVHOLD, GENERATOR_KEYNUMTOVOLENVDECAY, GENERATOR_KEYNUMTOVOLENVHOLD, GENERATOR_KEYRANGE, GENERATOR_MODENVTOFILTERFC, GENERATOR_MODENVTOPITCH, GENERATOR_MODLFOTOFILTERFC, GENERATOR_MODLFOTOPITCH, GENERATOR_MODLFOTOVOLUME, GENERATOR_OVERRIDINGROOTKEY, GENERATOR_PAN, GENERATOR_RELEASEMODENV, GENERATOR_RELEASEVOLENV, GENERATOR_RESERVED1, GENERATOR_RESERVED2, GENERATOR_RESERVED3, GENERATOR_REVERBEFFECTSSEND, GENERATOR_SAMPLEID, GENERATOR_SAMPLEMODES, GENERATOR_SCALETUNING, GENERATOR_STARTADDRSCOARSEOFFSET, GENERATOR_STARTADDRSOFFSET, GENERATOR_STARTLOOPADDRSCOARSEOFFSET, GENERATOR_STARTLOOPADDRSOFFSET, GENERATOR_SUSTAINMODENV, GENERATOR_SUSTAINVOLENV, GENERATOR_UNUSED1, GENERATOR_UNUSED2, GENERATOR_UNUSED3, GENERATOR_UNUSED4, GENERATOR_UNUSED5, GENERATOR_VELOCITY, GENERATOR_VELRANGE, GENERATOR_VIBLFOTOPITCH`

Constructor Summary
`SF2LayerRegion()`

Method Summary
`SF2Sample` | `getSample()`
`void` | `setSample(SF2Sample sample)`

Methods inherited from class com.sun.media.sound.SF2Region
`contains, getBytes, getDefaultValue, getGenerators, getInteger, getModulators, getShort, putBytes, putInteger, putShort`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SF2LayerRegion

    public SF2LayerRegion()

Method Detail

### getSample

    public SF2Sample getSample()

### setSample

    public void setSample(SF2Sample sample)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD